#!/bin/sh
#
export DB_DIR="+DATA"

sqlplus "spec/spec" << !
alter table U_SEQUENCES enable table lock;
alter table U_DATASEGMENT enable table lock;
alter table U_LOADER enable table lock;
alter table U_LOAD_MESSAGE enable table lock;
alter table U_LOAD_SECTION enable table lock;
!

sqlplus "/as sysdba" << !
spool createTS_U.out

DROP TABLESPACE U_seqs_space INCLUDING CONTENTS;
rem #DROP TABLESPACE U_dsegs_space INCLUDING CONTENTS;
rem #DROP TABLESPACE U_ldr_space INCLUDING CONTENTS;
rem #DROP TABLESPACE U_lmsg_space INCLUDING CONTENTS;
rem #DROP TABLESPACE U_lsec_space INCLUDING CONTENTS;

CREATE TABLESPACE U_seqs_space
	DATAFILE '$DB_DIR/U_seqs' SIZE 100M REUSE AUTOEXTEND ON NEXT 100M
	EXTENT MANAGEMENT LOCAL UNIFORM SIZE 10M;
spool off;
!

